%global pypi_name subprocess-tee

%bcond_without tests

Name:    python-%{pypi_name}
Version: 0.4.1
Release: %mkrel 3
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it
Group:   Development/Python
License: MIT
URL:     https://github.com/pycontribs/subprocess-tee
Source:  %{pypi_source}
Patch0:  0003_removing_pytest_plus_dependency.patch

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(rich)
BuildRequires: python3dist(enrich)
BuildRequires: python3dist(molecule)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm-git-archive)
BuildRequires: python3dist(setuptools-scm[toml])
BuildRequires: pyproject-rpm-macros

# testing requirements
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: python3dist(pytest-mock)
BuildRequires: python3dist(pytest-xdist)

%global _description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%description %{_description}

%package -n python3-%{pypi_name}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it
Group:   Development/Python

Requires: python3dist(rich)
Requires: python3dist(enrich)

%py_provides python3-%{pypi_name}
%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files subprocess_tee

%if %{with tests}
%check
%pytest test -k "not test_molecule"
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/subprocess_tee/
%{python3_sitelib}/subprocess_tee-%{version}.dist-info/


%changelog
* Mon Mar 03 2025 wally <wally> 0.4.1-3.mga10
+ Revision: 2159943
- rebuild for python3.13

* Sun Jan 21 2024 papoteur <papoteur> 0.4.1-2.mga10
+ Revision: 2033066
- rebuild for python 3.12

* Wed Dec 21 2022 guillomovitch <guillomovitch> 0.4.1-1.mga9
+ Revision: 1925533
- new version 0.4.1

* Sat Nov 26 2022 guillomovitch <guillomovitch> 0.4.0-1.mga9
+ Revision: 1911272
- new version 0.4.0

* Mon Apr 11 2022 guillomovitch <guillomovitch> 0.3.5-1.mga9
+ Revision: 1848912
- imported package python-subprocess-tee

